Kerbal Space Program - Bug #13384

Struts are leaving the connectors at the wrong angle
12/07/2016 10:38 AM - Anth12

Status: Not a Bug Start date: 12/07/2016
Severity: Low % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 1.2.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

GOG KSP 1.2.1.1604 Clean Install. No Mods:Sandbox
Steam KSP 1.2.2.1622 Updated from 1.2.1.1604. No Mods:Sandbox (Removed Kerbal Engineer before testing)

So Das who might actually be the true ultimate bug hunter...he found an issue with the struts leaving the
connectors at the wrong angle.

| have supplied the Strut Test.craft which | created in 1.2.1.1604, and then | copied over to 1.2.2.1622
so that the attached screenshots will show the issue in a way that cant confuse any one comparing them.

Related issues:
Related to Kerbal Space Program - Bug #2849: Struts attach below surface of S... Closed 08/01/2014

History

#1 - 12/07/2016 10:49 AM - sal_vager
- Status changed from New to Not a Bug
- % Done changed from 0 to 100
Hi Anth12, this is a deliberate change to the model, it is in the 1.2.2 release notes.
e Fix for strut connectors attaching below surface on SRB-KD25k.
#2 - 12/07/2016 11:02 AM - Anth12
Ok so | need to make a revision. Das explained that my title is inaccurate.
The problem is as follows:
1. The strut that goes from Part A to Part B is actually in the correct position.
2. The connectors are attaching onto the top of the surface of the parts instead of sinking into the part slightly

like they were in 1.2.1.1604

So only the connectors need to be made to sink into the parts to the same degree as 1.2.1.1604 to fix this issue.

#3 - 12/07/2016 11:11 AM - sal_vager

Yes, this was a deliberate change to the strut endpoint meshes to make them more accessible, they are now not supposed to be sunk as far into the

part as they were in earlier versions.

Please see issue #2849

#4 - 12/07/2016 11:24 AM - sal_vager
- Related to Bug #2849: Struts attach below surface of S1 SRB-KD25k added

#5 - 12/07/2016 11:26 AM - dasvaldez

Sal, this is definitely a bug. The correct fix for the SRB was the collider change to the SRB itself. That was done, and fixed the strut issue.

The edits to the strut part itself actually visually broke struts for ALL OTHER USES.

04/23/2024


https://bugs.kerbalspaceprogram.com/issues/2849

Two different fixes were put into place for the SRB issue, and only one was needed. The changes to the strut root part is in error.

#6 - 12/07/2016 11:47 AM - dasvaldez
- File SRBFix.png added

Sal, here's the SRBs before and after 1.2.2. This is all that needed to be done to fix the issue you linked above. No change to the strut was required,
in fact, the changes to the struts broke them for every single part you attach them to, including the SRBs.

#7 - 12/07/2016 11:57 AM - sal_vager
Dear Mr Valdez.

As | have stated, this is a deliberate change to this part, making this at most an issue of feedback which no one with experimentals access raised as a
concern.

Thank you.

#8 - 12/07/2016 12:02 PM - dasvaldez

Sal, can you please link to the issue which showed that struts had an issue being clicked, and needed to be more accessible? The issue you linked
above is not relevant to this report.

#9 - 12/07/2016 12:34 PM - sal_vager

Hello again Das Valdez.

It is within Squads right to make any changes they deem necessary both to deal with reported issues and to deal with issues that may arise in the
future, this means changes can and will be made when no public report has been filed for it, and the existence or not of any such report has no baring

on the decisions made by Squad and cannot be used as a reason for or against any such changes.

These decisions are internal and cannot be shared due to the non disclosure agreement.

Thank you.
